curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"external_contract_id": "CTR-2026-000481",
"merchant_document": "11444777000161",
"effect_type": "GUARANTEE_FIDUCIARY_ASSIGNMENT",
"effect_priority": 0,
"division_method": "PERCENTAGE",
"effect_amount": null,
"effect_percentage": 100,
"committed_effect_amount": 82350,
"expected_settlement_date": "2026-07-14",
"status": "ACTIVE",
"beneficiary_document": "60701190000104",
"beneficiary_document_type": "CNPJ",
"beneficiary_account": {
"holder_document": "60701190000104",
"ispb": "60701190",
"branch_code": "0001",
"account_number": "123456",
"check_digit": "7",
"account_type": "CHECKING"
},
"registrar_document": "11222333000181",
"last_snapshot_date": "2026-10-14",
"cancelled_at": null,
"created_at": "2026-07-02T09:12:44.000Z",
"updated_at": "2026-10-14T09:05:10.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 50,
"totalPages": 3,
"hasNext": true,
"hasPrev": false
},
"latest_snapshot_date": "2026-10-14"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}List contract effects on your receivables
Requires the receivable.list permission.
Lists the contract effects registered at the receivables registrars on the
authenticated company’s own document, under its organization (the parent
organization for a merchant, the organization itself for an organization). Effects
are keyed by document, so they cover every store with that document; they are not
linked to a receivable unit or a transaction; they are informational copies, never
applied to balances; and they are only as fresh as the latest snapshot
(latest_snapshot_date).
Returns ACTIVE effects unless status asks for others, ordered by
expected_settlement_date ascending unless sort says otherwise.
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.rinne.com.br/core/v1/receivables/contract-effects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"external_contract_id": "CTR-2026-000481",
"merchant_document": "11444777000161",
"effect_type": "GUARANTEE_FIDUCIARY_ASSIGNMENT",
"effect_priority": 0,
"division_method": "PERCENTAGE",
"effect_amount": null,
"effect_percentage": 100,
"committed_effect_amount": 82350,
"expected_settlement_date": "2026-07-14",
"status": "ACTIVE",
"beneficiary_document": "60701190000104",
"beneficiary_document_type": "CNPJ",
"beneficiary_account": {
"holder_document": "60701190000104",
"ispb": "60701190",
"branch_code": "0001",
"account_number": "123456",
"check_digit": "7",
"account_type": "CHECKING"
},
"registrar_document": "11222333000181",
"last_snapshot_date": "2026-10-14",
"cancelled_at": null,
"created_at": "2026-07-02T09:12:44.000Z",
"updated_at": "2026-10-14T09:05:10.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 50,
"totalPages": 3,
"hasNext": true,
"hasPrev": false
},
"latest_snapshot_date": "2026-10-14"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Authorizations
Company API key for authentication
Query Parameters
Filter by the contract's key
Comma-separated statuses. Defaults to ACTIVE.
ACTIVE, CANCELLED Comma-separated effect types
OWNERSHIP_TRANSFER, GUARANTEE, GUARANTEE_PLEDGE, GUARANTEE_FIDUCIARY_ASSIGNMENT, JUDICIAL_SEIZURE, FINANCIAL_RESERVE, CESSION_PROMISE Settlement date from (inclusive), YYYY-MM-DD
Settlement date until (inclusive), YYYY-MM-DD
expected_settlement_date or created_at, - prefix for descending
Page number
x >= 1Number of items per page
1 <= x <= 100Response
Contract effects

